%% RenRelE
clear DATA1
for n=1:5
   DATA1(:,:,n)=xlsread('Ren_RelE.xlsx',3+9*(n-1));
end  

DATA1_mean=squeeze(mean(DATA1));
figure(1);
%stairs(timer,DATA_mean(1:141,:)); set(gca,'XLim',tspan);
semilogy(0:0.5:120,DATA1_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'0.01','0.03','0.1','0.3','1'});

%% Wakeup for relE
clear DATA2
for n=1:5
   DATA2(:,:,n)=xlsread('WakeOmpr.xlsx',3+9*(n-1));
end  

DATA2_mean=squeeze(mean(DATA2));
figure(2);
stairs(0:0.5:150,DATA2_mean); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA2_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'0.01','0.03','0.1','0.3','1'});

% For percentage of bacteria asleep (i.e. with relE level above 15
for v=1:301  
    clear bins2
    for j=1:5
     bins2=1:max(DATA2(:,v,j));
     Databins2=histc((DATA2(:,v,j)),bins2);
     Sleeper2(v,j)=sum(Databins2(15:end));
    end
end

figure(3);
stairs(0:0.5:150,Sleeper2); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA2_mean)
xlabel('time (min)');
ylabel('bacteria asleep');
legend({'0.01','0.03','0.1','0.3','1'});


%% Knockout 
clear DATA3
for n=1:6
   DATA3(:,:,n)=xlsread('Knockoutdata.xlsx',3+9*(n-1));  %there is an additianal sheet in the document
end  

DATA3_mean=squeeze(mean(DATA3));
figure(4);
%stairs(0:0.5:90,DATA3_mean); set(gca,'XLim',[0,90]);
semilogy(0:0.5:120,DATA3_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});
%remember that these are without the 350 plasmid copy values. I.e. 100 is
%0.33 in the normal setup. 



%% wakeup for Knockout 
clear DATA4
for n=1:6
   DATA4(:,:,n)=xlsread('KnockoutWakeupData.xlsx',3+9*(n-1));
end  

DATA4_mean=squeeze(mean(DATA4));
figure(5);
stairs(0:0.5:150,DATA4_mean); set(gca,'XLim',[0,90]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});
%remember that these are without the 350 plasmid copy values. I.e. 100 is
%0.33 in the normal setup. 
% For percentage of bacteria asleep (i.e. with relE level above 15
for v=1:301
    clear bins4
    for j=1:6
     bins4=1:max(DATA4(:,v,j));
     Databins4=histc((DATA4(:,v,j)),bins4);
     Sleeper4(v,j)=sum(Databins4(15:end));
    end
end
%%
figure(6);
stairs(0:0.5:150,Sleeper4); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('bacteria asleep');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});

%% exporting the values to excel
xlswrite('Graphdata.xlsx',DATA1_mean,1);  % 120 min , renrel_E
xlswrite('Graphdata.xlsx',DATA2_mean,2);  % 150 min , wakeup average
xlswrite('Graphdata.xlsx',Sleeper2,3);    % 150 min , wakeup sleeper
xlswrite('Graphdata.xlsx',DATA3_mean,4);  % 120 min , knockout
xlswrite('Graphdata.xlsx',DATA4_mean,5);  % 150 min , knockout wakeup average
xlswrite('Graphdata.xlsx',Sleeper4,6);    % 150 min , knockout wakeup sleeper



%%
clear DATA5
for n=1:5
   DATA5(:,:,n)=xlsread('WakeOmpr.xlsx',3+9*(n-1));
end  
% For percentage of bacteria asleep (i.e. with relE level above 15
for v=1:301  
    clear bins2
    for j=1:5
     bins2=1:max(DATA5(:,v,j));
     Databins5=histc((DATA5(:,v,j)),bins2);
     Sleeper7(v,j)=sum(Databins5(15:end));
    end
end

figure(7);
stairs(0:0.5:150,Sleeper7); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA2_mean)
xlabel('time (min)');


% For percentage of bacteria asleep (i.e. with relE level above 30
for v=1:301  
    clear bins2
    for j=1:5
     bins2=1:max(DATA5(:,v,j));
     Databins6=histc((DATA5(:,v,j)),bins2);
     Sleeper8(v,j)=sum(Databins6(30:end));
    end
end

figure(8);
stairs(0:0.5:150,Sleeper8); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA2_mean)
xlabel('time (min)');
ylabel('bacteria asleep');
legend({'0.01','0.03','0.1','0.3','1'});
ylabel('bacteria asleep');
legend({'0.01','0.03','0.1','0.3','1'});

% For percentage of bacteria asleep (i.e. with relE level above 45
for v=1:301  
    clear bins2
    for j=1:5
     bins2=1:max(DATA5(:,v,j));
     Databins7=histc((DATA5(:,v,j)),bins2);
     Sleeper9(v,j)=sum(Databins7(45:end));
    end
end

figure(9);
stairs(0:0.5:150,Sleeper9); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA2_mean)
xlabel('time (min)');
ylabel('bacteria asleep');
legend({'0.01','0.03','0.1','0.3','1'});

%%
xlswrite('Graphdata.xlsx',Sleeper7,7);    % 150 min , wakeup 15
xlswrite('Graphdata.xlsx',Sleeper8,8);    % 150 min , wakeup 30
xlswrite('Graphdata.xlsx',Sleeper9,9);    % 150 min , wakeup 45

%% dOUBLE 
clear DATA6
for n=1:6
   DATA6(:,:,n)=xlsread('Doubledata.xlsx',3+9*(n-1));  %there is an additianal sheet in the document
end  

DATA6_mean=squeeze(mean(DATA6));
figure(10);
%stairs(0:0.5:90,DATA3_mean); set(gca,'XLim',[0,90]);
semilogy(0:0.5:120,DATA6_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});
%remember that these are without the 350 plasmid copy values. I.e. 100 is
%0.33 in the normal setup. 



%% wakeup for double
clear DATA7
for n=1:6
   DATA7(:,:,n)=xlsread('DoubleWakeupData.xlsx',3+9*(n-1));
end  

DATA7_mean=squeeze(mean(DATA7));
figure(11);
stairs(0:0.5:150,DATA7_mean); set(gca,'XLim',[0,90]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});
%remember that these are without the 350 plasmid copy values. I.e. 100 is
%0.33 in the normal setup. 
% For percentage of bacteria asleep (i.e. with relE level above 15
for v=1:301
    clear bins4
    for j=1:6
     bins4=1:max(DATA7(:,v,j));
     Databins7=histc((DATA7(:,v,j)),bins4);
     Sleeper10(v,j)=sum(Databins7(15:end));
    end
end

figure(12);
stairs(0:0.5:150,Sleeper10); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('bacteria asleep');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});

%% Write to ecxel for double
xlswrite('Graphdata.xlsx',DATA6_mean,10);  % 120 min , double
xlswrite('Graphdata.xlsx',DATA7_mean,11);  % 150 min , double wakeup average
xlswrite('Graphdata.xlsx',Sleeper10,12);    % 150 min ,double wakeup sleeper

%% 
%clear DATA8
%DATA8=zeros(1000,1001,9);  
%for n=1:9
 %  DATA8(:,:,n)=xlsread('Stabledata.xlsx',n); 
%end  
%DATA8_mean=squeeze((DATA8(:,end,:)));
%xlswrite('Graphdata.xlsx',DATA8_mean,13);  % Different thing. Contains preliminary data for other runs. 

%% dOUBLE2 
clear DATA9
for n=1:3
   DATA9(:,:,n)=xlsread('Doubledata2.xlsx',3+9*(n-1));  %there is an additianal sheet in the document
end  

DATA9_mean=squeeze(mean(DATA9));
figure(13);
%stairs(0:0.5:90,DATA3_mean); set(gca,'XLim',[0,90]);
semilogy(0:0.5:120,DATA9_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});
%remember that these are without the 350 plasmid copy values. I.e. 100 is
%0.33 in the normal setup. 


% wakeup for double2
clear DATA10
for n=1:3
   DATA10(:,:,n)=xlsread('DoubleWakeupData2.xlsx',3+9*(n-1));
end  

DATA10_mean=squeeze(mean(DATA10));
figure(14);
stairs(0:0.5:150,DATA10_mean); set(gca,'XLim',[0,90]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});
%remember that these are without the 350 plasmid copy values. I.e. 100 is
%0.33 in the normal setup. 
% For percentage of bacteria asleep (i.e. with relE level above 15
for v=1:301
    clear bins4
    for j=1:3
     bins4=1:max(DATA10(:,v,j));
     Databins10=histc((DATA10(:,v,j)),bins4);
     Sleeper10(v,j)=sum(Databins10(15:end));
    end
end

figure(15);
stairs(0:0.5:150,Sleeper10); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('bacteria asleep');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});

% Write to ecxel for double
xlswrite('Graphdata.xlsx',DATA9_mean,20);  % 120 min , double
xlswrite('Graphdata.xlsx',DATA10_mean,21);  % 150 min , double wakeup average
xlswrite('Graphdata.xlsx',Sleeper10,22);    % 150 min ,double wakeup sleeper

%% dOUBLE ENDNU EN GANG 
%50  50  45  35 35
%35  40  35  10 20
clear DATA11
for n=1:5
   DATA11(:,:,n)=xlsread('Doubledata3.xlsx',3+9*(n-1));  %there is an additianal sheet in the document
end  

DATA11_mean=squeeze(mean(DATA11));
figure(16);
%stairs(0:0.5:90,DATA3_mean); set(gca,'XLim',[0,90]);
semilogy(0:0.5:120,DATA11_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});
%remember that these are without the 350 plasmid copy values. I.e. 100 is
%0.33 in the normal setup. 


% wakeup for double2
clear DATA12
for n=1:5
   DATA12(:,:,n)=xlsread('DoubleWakeupData3.xlsx',3+9*(n-1));
end  

DATA12_mean=squeeze(mean(DATA12));
figure(17);
stairs(0:0.5:150,DATA12_mean); set(gca,'XLim',[0,90]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('molecules');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});
%remember that these are without the 350 plasmid copy values. I.e. 100 is
%0.33 in the normal setup. 
% For percentage of bacteria asleep (i.e. with relE level above 15


for v=1:301
    clear bins4
    for j=1:5
     bins4=1:max(DATA12(:,v,j));
     Databins12=histc((DATA12(:,v,j)),bins4);
     Sleeper12(v,j)=sum(Databins12(15:end));
    end
end

figure(18);
stairs(0:0.5:150,Sleeper12); set(gca,'XLim',[0,150]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('bacteria asleep');
legend({'100 100','50 100','50 33','10 100','10 33','10 10'});

% Write to ecxel for double
xlswrite('Graphdata.xlsx',DATA11_mean,23);  % 120 min , double
xlswrite('Graphdata.xlsx',DATA12_mean,24);  % 150 min , double wakeup average
xlswrite('Graphdata.xlsx',Sleeper12,25);    % 150 min ,double wakeup sleeper


%% dOUBLE i nyt format (samme stil som wakeup runs)
clear DATA6
for n=1:6
   DATA6(:,:,n)=xlsread('Doubledata.xlsx',3+9*(n-1));  %there is an additianal sheet in the document
end  

for v=1:241
    clear bins4
    for j=1:6
     bins4=1:max(DATA6(:,v,j));
     Databins13=histc((DATA6(:,v,j)),bins4);
     Sleeper13(v,j)=sum(Databins13(40:end));
    end
end

figure(19);
stairs(0:0.5:120,Sleeper13); set(gca,'XLim',[0,120]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('bacteria asleep');


xlswrite('Graphdata.xlsx',Sleeper13,26);    % 120 min 

%% RenRelE in new format
clear DATA1
for n=1:5
   DATA1(:,:,n)=xlsread('Ren_RelE.xlsx',3+9*(n-1));
end  

for v=1:241
    clear bins4
    for j=1:5
     bins4=1:max(DATA1(:,v,j));
     Databins14=histc((DATA1(:,v,j)),bins4);
     Sleeper14(v,j)=sum(Databins14(40:end));
    end
end

%%
figure(20);
stairs(0:0.5:120,Sleeper14); set(gca,'XLim',[0,120]);
%semilogy(0:0.5:150,DATA4_mean)
xlabel('time (min)');
ylabel('bacteria asleep');

%%
xlswrite('Graphdata.xlsx',Sleeper14,27);    % 120 min 
